Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1915468 - /usr/lib/systemd/system/opendmarc.service:8: PIDFile= references a path below legacy directory /var/run/, updating /var/run/opendmarc/opendmarc.pid → /run/opendmarc/opendmarc.pid; please update the unit file accordingly.
Summary: /usr/lib/systemd/system/opendmarc.service:8: PIDFile= references a path below...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: opendmarc
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-12 17:13 UTC by Anthony Messina
Modified: 2021-07-12 00:37 UTC (History)
1 user (show)

Fixed In Version: opendmarc-1.4.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-08 01:33:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Anthony Messina 2021-01-12 17:13:15 UTC
Simple .spec file change may be to strip "@localstatedir@" from the service file during the %prep stage.

https://sourceforge.net/p/opendmarc/code/ci/master/tree/contrib/service/opendmarc.service.in

Reporting against rawhide since I don't see anything handling this in https://src.fedoraproject.org/rpms/opendmarc/tree/master

Comment 1 Ben Cotton 2021-02-09 15:40:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Tomas Korbar 2021-02-22 08:26:07 UTC
Hi Anthony,
unfortunately i do not have time to maintain Opendmarc.
The package is now orphaned. If you are a maintainer then
please consider taking it.

Apologies.

Comment 3 Fedora Update System 2021-04-29 20:46:18 UTC
FEDORA-2021-c1b846164e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c1b846164e

Comment 4 Fedora Update System 2021-04-30 01:43:06 UTC
FEDORA-2021-c1b846164e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c1b846164e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c1b846164e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-05-08 01:33:47 UTC
FEDORA-2021-c1b846164e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Anthony Messina 2021-05-31 15:36:39 UTC
Reopening for F34: opendmarc-1.4.1-1.fc34.x86_64


~]# cat /lib/systemd/system/opendmarc.service 
[Unit]
Description=Domain-based Message Authentication, Reporting & Conformance (DMARC) Milter
Documentation=man:opendmarc(8) man:opendmarc.conf(5) man:opendmarc-import(8) man:opendmarc-reports(8) http://www.trusteddomain.org/opendmarc/
After=network.target nss-lookup.target syslog.target

[Service]
Type=forking
PIDFile=/var/run/opendmarc/opendmarc.pid
EnvironmentFile=-/etc/sysconfig/opendmarc
ExecStart=/usr/sbin/opendmarc $OPTIONS
ExecReload=/bin/kill -USR1 $MAINPID
User=opendmarc
Group=opendmarc

[Install]
WantedBy=multi-user.target

Comment 7 Kevin Fenzi 2021-07-11 16:52:22 UTC
Oops, yeah, this was completely the wrong fix. ;( 

Updated version with fix coming soon...

Comment 8 Fedora Update System 2021-07-11 17:06:18 UTC
FEDORA-EPEL-2021-8f073f9e87 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8f073f9e87

Comment 9 Fedora Update System 2021-07-11 17:06:19 UTC
FEDORA-2021-889af802f2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-889af802f2

Comment 10 Fedora Update System 2021-07-11 17:06:19 UTC
FEDORA-2021-0c98725795 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c98725795

Comment 11 Fedora Update System 2021-07-11 17:06:20 UTC
FEDORA-EPEL-2021-ddb4fcb22a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ddb4fcb22a

Comment 12 Fedora Update System 2021-07-12 00:23:34 UTC
FEDORA-EPEL-2021-8f073f9e87 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8f073f9e87

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-07-12 00:30:18 UTC
FEDORA-2021-0c98725795 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c98725795`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c98725795

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-07-12 00:33:21 UTC
FEDORA-EPEL-2021-ddb4fcb22a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ddb4fcb22a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-07-12 00:37:19 UTC
FEDORA-2021-889af802f2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-889af802f2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-889af802f2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.